﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace DigitalClock
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            //To show the custom time
            this.clock1.ShowCustomTimeClock = true;
            // To hide Dates in Digital Clock
            this.clock1.DisplayDates = false;
            //To set the Custom time / Reset the clock
            this.clock1.CustomTime = new DateTime();
            // To Freeze and Un Freeze the Clock
            this.clock1.StopTimer = true;

            //To show the custom time
            this.clock2.ShowCustomTimeClock = true;
            //To set the Custom time for the clock
            this.clock2.CustomTime = new DateTime();
            // To Freeze and Un Freeze the Clock
            this.clock2.StopTimer = true;
            this.buttonAdv1.Text = "Un Freeze";
        }

        // Freeze and Unfreeze behavior
        private void buttonAdv1_Click(object sender, EventArgs e)
        {
            if (!this.clock1.StopTimer)
            {
                this.clock1.StopTimer = true;
                this.clock2.StopTimer = true;
                this.buttonAdv1.Text = "Un Freeze";
            }
            else
            {
                this.clock1.StopTimer = false;
                this.clock2.StopTimer = false;
                this.buttonAdv1.Text = "Freeze";
            }
        }

        // To Reset the time
        private void buttonAdv2_Click(object sender, EventArgs e)
        {
            this.clock1.CustomTime = new DateTime();
            this.clock2.CustomTime = new DateTime();
            this.clock1.StopTimer = true;
            this.clock2.StopTimer = true;
            this.buttonAdv1.Text = "Freeze";
        }
    }
}
